petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscIsNanReal

Returns whether the input is a Not-a-Number (NaN) value.

### Synopsis

    #if defined(PETSC_USE_REAL___FLOAT128)
    PetscBool PetscIsNanReal(PetscReal a)

### Input Parameter

a -the floating point number

### Notes

uses the C99 standard isnan() on systems where it exists. Otherwises uses (a != a), note that some optimizing compiles compile out this form, thus removing the check.

### Level

beginner

### Location

src/sys/utils/mathinf.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages